Debian Bug report logs - #690152
bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed

version graph

Package: src:bsaf; Maintainer for src:bsaf is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 10 Oct 2012 14:39:08 UTC

Severity: serious

Tags: jessie, sid

Found in version bsaf/1.9-3

Fixed in version bsaf/1.9-4

Done: Emmanuel Bourg <ebourg@apache.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Wed, 10 Oct 2012 14:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 10 Oct 2012 14:39:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Wed, 10 Oct 2012 16:22:11 +0200
Source: bsaf
Version: 1.9-3
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20121010 qa-ftbfs
Justification: FTBFS in wheezy on amd64

Hi,

During a rebuild of all packages in *wheezy*, your package failed to
build on amd64.

Relevant part:
>  debian/rules build
> dh build --with javahelper
>    dh_testdir
>    dh_auto_configure
>    jh_linkjars
>    dh_auto_build
> Buildfile: /«PKGBUILDDIR»/build.xml
> 
> init:
>     [mkdir] Created dir: /«PKGBUILDDIR»/build
>     [mkdir] Created dir: /«PKGBUILDDIR»/dist
>     [mkdir] Created dir: /«PKGBUILDDIR»/test
> 
> compile:
>     [javac] /«PKGBUILDDIR»/build.xml:37: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
>     [javac] Compiling 38 source files to /«PKGBUILDDIR»/build
>     [javac] Note: Some input files use unchecked or unsafe operations.
>     [javac] Note: Recompile with -Xlint:unchecked for details.
>      [copy] Copying 6 files to /«PKGBUILDDIR»/build
> 
> jar:
>       [jar] Building jar: /«PKGBUILDDIR»/dist/bsaf-1.9.jar
> 
> compile-test:
>     [javac] /«PKGBUILDDIR»/build.xml:49: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
>     [javac] Compiling 26 source files to /«PKGBUILDDIR»/test
>     [javac] Note: Some input files use or override a deprecated API.
>     [javac] Note: Recompile with -Xlint:deprecation for details.
>     [javac] Note: Some input files use unchecked or unsafe operations.
>     [javac] Note: Recompile with -Xlint:unchecked for details.
>      [copy] Copying 28 files to /«PKGBUILDDIR»/test
> 
> check-display:
> 
> test:
>     [junit] Running org.jdesktop.application.AbstractBeanTest
>     [junit] Testsuite: org.jdesktop.application.AbstractBeanTest
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.044 sec
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.044 sec
>     [junit] 
>     [junit] Running org.jdesktop.application.ApplicationActionMapTest
>     [junit] Testsuite: org.jdesktop.application.ApplicationActionMapTest
>     [junit] Tests run: 13, Failures: 0, Errors: 0, Time elapsed: 0.17 sec
>     [junit] Tests run: 13, Failures: 0, Errors: 0, Time elapsed: 0.17 sec
>     [junit] 
>     [junit] Running org.jdesktop.application.ApplicationDefaultLNFResourceTest
>     [junit] Testsuite: org.jdesktop.application.ApplicationDefaultLNFResourceTest
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.149 sec
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.149 sec
>     [junit] 
>     [junit] Running org.jdesktop.application.ApplicationEndTest
>     [junit] Testsuite: org.jdesktop.application.ApplicationEndTest
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.158 sec
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.158 sec
>     [junit] 
>     [junit] Running org.jdesktop.application.ApplicationMotifLNFResourceTest
>     [junit] Testsuite: org.jdesktop.application.ApplicationMotifLNFResourceTest
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.149 sec
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.149 sec
>     [junit] 
>     [junit] Running org.jdesktop.application.ApplicationNimbusLNFResourceTest
>     [junit] Testsuite: org.jdesktop.application.ApplicationNimbusLNFResourceTest
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.197 sec
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.197 sec
>     [junit] 
>     [junit] Running org.jdesktop.application.ApplicationNoLNFResourceTest
>     [junit] Testsuite: org.jdesktop.application.ApplicationNoLNFResourceTest
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.15 sec
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.15 sec
>     [junit] 
>     [junit] Running org.jdesktop.application.ApplicationPrivateCtorTest
>     [junit] Testsuite: org.jdesktop.application.ApplicationPrivateCtorTest
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.144 sec
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.144 sec
>     [junit] 
>     [junit] Running org.jdesktop.application.ApplicationSystemLNFResourceTest
>     [junit] Testsuite: org.jdesktop.application.ApplicationSystemLNFResourceTest
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.158 sec
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.158 sec
>     [junit] 
>     [junit] Running org.jdesktop.application.LocalStorageTest
>     [junit] Testsuite: org.jdesktop.application.LocalStorageTest
>     [junit] Creating LocalStorage tmp directory "/«PKGBUILDDIR»/build/local-storage.tmp"
>     [junit] LocalStorage tmp directory: "/«PKGBUILDDIR»/build/local-storage.tmp"
>     [junit] Tests run: 2, Failures: 0, Errors: 0, Time elapsed: 0.118 sec
>     [junit] Tests run: 2, Failures: 0, Errors: 0, Time elapsed: 0.118 sec
>     [junit] 
>     [junit] ------------- Standard Output ---------------
>     [junit] Creating LocalStorage tmp directory "/«PKGBUILDDIR»/build/local-storage.tmp"
>     [junit] LocalStorage tmp directory: "/«PKGBUILDDIR»/build/local-storage.tmp"
>     [junit] ------------- ---------------- ---------------
>     [junit] Running org.jdesktop.application.MnemonicTextTest
>     [junit] Testsuite: org.jdesktop.application.MnemonicTextTest
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.108 sec
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.108 sec
>     [junit] 
>     [junit] Running org.jdesktop.application.ResourceManagerTest
>     [junit] Testsuite: org.jdesktop.application.ResourceManagerTest
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.064 sec
>     [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.064 sec
>     [junit] 
>     [junit] ------------- Standard Error -----------------
>     [junit] Oct 10, 2012 4:44:14 AM org.jdesktop.application.ResourceManager getApplicationResourceMap
>     [junit] WARNING: getApplicationResourceMap(): no Application class
>     [junit] ------------- ---------------- ---------------
>     [junit] Oct 10, 2012 4:44:14 AM org.jdesktop.application.ResourceManager getApplicationResourceMap
>     [junit] WARNING: getApplicationResourceMap(): no Application class
>     [junit] Running org.jdesktop.application.TaskMonitorTest
>     [junit] Testsuite: org.jdesktop.application.TaskMonitorTest
>     [junit] Tests run: 3, Failures: 1, Errors: 0, Time elapsed: 0.399 sec
>     [junit] Tests run: 3, Failures: 1, Errors: 0, Time elapsed: 0.399 sec
>     [junit] 
>     [junit] Testcase: testMessageSucceeded(org.jdesktop.application.TaskMonitorTest):	FAILED
>     [junit] doInBackground
>     [junit] junit.framework.AssertionFailedError: doInBackground
>     [junit] 	at org.jdesktop.application.TaskMonitorTest.testMessageSucceeded(Unknown Source)
>     [junit] 
>     [junit] 
> 
> BUILD FAILED
> /«PKGBUILDDIR»/build.xml:68: Test org.jdesktop.application.TaskMonitorTest failed
> 
> Total time: 16 seconds
> dh_auto_build: ant returned exit code 1
> make: *** [build] Error 2

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/10/10/bsaf_1.9-3_wheezy.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Thu, 11 Oct 2012 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 11 Oct 2012 02:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 690152@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 690152@bugs.debian.org
Subject: Re: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Wed, 10 Oct 2012 21:42:33 -0430
[Message part 1 (text/plain, inline)]
On Wed, Oct 10, 2012 at 04:22:11PM +0200, Lucas Nussbaum wrote:
> Source: bsaf
> Version: 1.9-3
> Severity: serious
> Tags: wheezy sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20121010 qa-ftbfs
> Justification: FTBFS in wheezy on amd64
> 
> Hi,
> 
> During a rebuild of all packages in *wheezy*, your package failed to
> build on amd64.

I couldn't reproduce this in wheezy or sid, but I was only using pbuilder to test.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Fri, 12 Oct 2012 05:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 12 Oct 2012 05:24:05 GMT) Full text and rfc822 format available.

Message #15 received at 690152@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: 690152@bugs.debian.org
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Thu, 11 Oct 2012 22:21:04 -0700
[Message part 1 (text/plain, inline)]
On 10/10/2012 07:12 PM, Miguel Landaeta wrote:
> On Wed, Oct 10, 2012 at 04:22:11PM +0200, Lucas Nussbaum wrote:
>> Source: bsaf
>> Version: 1.9-3
>> Severity: serious
>> Tags: wheezy sid
>> User: debian-qa@lists.debian.org
>> Usertags: qa-ftbfs-20121010 qa-ftbfs
>> Justification: FTBFS in wheezy on amd64
>>
>> Hi,
>>
>> During a rebuild of all packages in *wheezy*, your package failed to
>> build on amd64.
> 
> I couldn't reproduce this in wheezy or sid, but I was only using pbuilder to test.

I was able to get the build to fail by setting DISPLAY to something not
accessible to the build machine, but it failed in the first unit test
(different than the failure in the bug report).  After unsetting
DISPLAY, the build is successful.  So I don't think it's the same issue.
 My builds were in a cowbuilder chroot.

tony


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Wed, 24 Oct 2012 16:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 24 Oct 2012 16:15:05 GMT) Full text and rfc822 format available.

Message #20 received at 690152@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: tony mancill <tmancill@debian.org>, 690152@bugs.debian.org
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Wed, 24 Oct 2012 18:13:11 +0200
[Message part 1 (text/plain, inline)]
On Thu, 11 Oct 2012 22:21:04 -0700, tony mancill wrote:

> >> During a rebuild of all packages in *wheezy*, your package failed to
> >> build on amd64.
> > I couldn't reproduce this in wheezy or sid, but I was only using pbuilder to test.
> I was able to get the build to fail by setting DISPLAY to something not
> accessible to the build machine, but it failed in the first unit test
> (different than the failure in the bug report).  After unsetting
> DISPLAY, the build is successful.  So I don't think it's the same issue.
>  My builds were in a cowbuilder chroot.

It fails for me in cowbuilder (without doing anything) in the first
unit test with a clear error message:

compile-test:
    [javac] /tmp/buildd/bsaf-1.9/build.xml:49: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
    [javac] Compiling 26 source files to /tmp/buildd/bsaf-1.9/test
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
     [copy] Copying 28 files to /tmp/buildd/bsaf-1.9/test

check-display:

test:
    [junit] Running org.jdesktop.application.AbstractBeanTest
    [junit] Testsuite: org.jdesktop.application.AbstractBeanTest
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.046 sec
    [junit] No protocol specified
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0.046 sec
    [junit] 
    [junit] Testcase: fireOnEdtTest(org.jdesktop.application.AbstractBeanTest): Caused an ERROR
    [junit] Can't connect to X11 window server using ':0' as the value of the DISPLAY variable.
    [junit] java.lang.InternalError: Can't connect to X11 window server using ':0' as the value of the DISPLAY variable.
    [junit]     at sun.awt.X11GraphicsEnvironment.initDisplay(Native Method)
    [junit]     at sun.awt.X11GraphicsEnvironment.access$200(X11GraphicsEnvironment.java:62)
    [junit]     at sun.awt.X11GraphicsEnvironment$1.run(X11GraphicsEnvironment.java:178)
    [junit]     at java.security.AccessController.doPrivileged(Native Method)
    [junit]     at sun.awt.X11GraphicsEnvironment.<clinit>(X11GraphicsEnvironment.java:142)
    [junit]     at java.lang.Class.forName0(Native Method)
    [junit]     at java.lang.Class.forName(Class.java:186)
    [junit]     at java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment(GraphicsEnvironment.java:82)
    [junit]     at sun.awt.X11.XToolkit.<clinit>(XToolkit.java:112)
    [junit]     at java.lang.Class.forName0(Native Method)
    [junit]     at java.lang.Class.forName(Class.java:186)
    [junit]     at java.awt.Toolkit$2.run(Toolkit.java:849)
    [junit]     at java.security.AccessController.doPrivileged(Native Method)
    [junit]     at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:841)
    [junit]     at java.awt.Toolkit.getEventQueue(Toolkit.java:1698)
    [junit]     at java.awt.EventQueue.isDispatchThread(EventQueue.java:878)
    [junit]     at javax.swing.SwingUtilities.isEventDispatchThread(SwingUtilities.java:1360)
    [junit]     at javax.swing.event.SwingPropertyChangeSupport.firePropertyChange(SwingPropertyChangeSupport.java:90)
    [junit]     at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:229)
    [junit]     at org.jdesktop.application.AbstractBean.firePropertyChange(Unknown Source)
    [junit]     at org.jdesktop.application.AbstractBeanTest$TestBean.fire(Unknown Source)
    [junit]     at org.jdesktop.application.AbstractBeanTest.fireOnEdtTest(Unknown Source)
    [junit] 
    [junit] 

BUILD FAILED
/tmp/buildd/bsaf-1.9/build.xml:68: Test org.jdesktop.application.AbstractBeanTest failed


Running the tests under xvfb I get a different failure:
  
  (Side question: why are the tests run at dh_auto_build time and not
  under dh_auto_test?)

    [junit] Running org.jdesktop.application.ApplicationTest
    [junit] Testsuite: org.jdesktop.application.ApplicationTest
    [junit] Tests run: 8, Failures: 0, Errors: 0, Time elapsed: 0.453 sec
    [junit] Tests run: 8, Failures: 0, Errors: 0, Time elapsed: 0.453 sec
    [junit] 
    [junit] This test generates logger warnings.  Ignore them.
    [junit] Running org.jdesktop.application.BadSessionStateTest
    [junit] Testsuite: org.jdesktop.application.BadSessionStateTest
    [junit] Oct 24, 2012 4:03:59 PM org.jdesktop.application.LocalStorage getId
    [junit] WARNING: unspecified resource Application.id using BadSessionStateApplication
    [junit] Oct 24, 2012 4:03:59 PM org.jdesktop.application.SingleFrameApplication initRootPaneContainer
    [junit] WARNING: couldn't restore session [mainFrame.session.xml]
    [junit] java.lang.ArrayIndexOutOfBoundsException: 0
    [junit]     at com.sun.beans.ObjectHandler.dequeueResult(ObjectHandler.java:189)
    [junit]     at java.beans.XMLDecoder.readObject(XMLDecoder.java:223)
    [junit]     at org.jdesktop.application.LocalStorage.load(Unknown Source)
    [junit]     at org.jdesktop.application.SessionStorage.restore(Unknown Source)
    [junit]     at org.jdesktop.application.SingleFrameApplication.initRootPaneContainer(Unknown Source)
    [junit]     at org.jdesktop.application.SingleFrameApplication.show(Unknown Source)
    [junit]     at org.jdesktop.application.BadSessionStateTest$BadSessionStateApplication.startup(Unknown Source)
    [junit]     at org.jdesktop.application.Application$1.run(Unknown Source)
    [junit]     at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:226)
    [junit]     at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:670)
    [junit]     at java.awt.EventQueue.access$400(EventQueue.java:96)
    [junit]     at java.awt.EventQueue$2.run(EventQueue.java:631)
    [junit]     at java.awt.EventQueue$2.run(EventQueue.java:629)
    [junit]     at java.security.AccessController.doPrivileged(Native Method)
    [junit]     at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
    [junit]     at java.awt.EventQueue.dispatchEvent(EventQueue.java:640)
    [junit]     at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
    [junit]     at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
    [junit]     at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
    [junit]     at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
    [junit]     at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
    [junit]     at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 1.109 sec
    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 1.109 sec
    [junit] 
    [junit] ------------- Standard Error -----------------
    [junit] This test generates logger warnings.  Ignore them.
    [junit] Oct 24, 2012 4:09:26 PM org.jdesktop.application.LocalStorage getId
    [junit] WARNING: unspecified resource Application.id using BadSessionStateApplication
    [junit] Oct 24, 2012 4:09:26 PM org.jdesktop.application.SingleFrameApplication initRootPaneContainer
    [junit] WARNING: couldn't restore session [mainFrame.session.xml]
    [junit] java.lang.ArrayIndexOutOfBoundsException: 0
    [junit]     at com.sun.beans.ObjectHandler.dequeueResult(ObjectHandler.java:189)
    [junit]     at java.beans.XMLDecoder.readObject(XMLDecoder.java:223)
    [junit]     at org.jdesktop.application.LocalStorage.load(Unknown Source)
    [junit]     at org.jdesktop.application.SessionStorage.restore(Unknown Source)
    [junit]     at org.jdesktop.application.SingleFrameApplication.initRootPaneContainer(Unknown Source)
    [junit]     at org.jdesktop.application.SingleFrameApplication.show(Unknown Source)
    [junit]     at org.jdesktop.application.BadSessionStateTest$BadSessionStateApplication.startup(Unknown Source)
    [junit]     at org.jdesktop.application.Application$1.run(Unknown Source)
    [junit]     at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:226)
    [junit]     at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:670)
    [junit]     at java.awt.EventQueue.access$400(EventQueue.java:96)
    [junit]     at java.awt.EventQueue$2.run(EventQueue.java:631)
    [junit]     at java.awt.EventQueue$2.run(EventQueue.java:629)
    [junit]     at java.security.AccessController.doPrivileged(Native Method)
    [junit]     at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
    [junit]     at java.awt.EventQueue.dispatchEvent(EventQueue.java:640)
    [junit]     at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
    [junit]     at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
    [junit]     at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
    [junit]     at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
    [junit]     at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
    [junit]     at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)
    [junit] ------------- ---------------- ---------------
    [junit] Testcase: testBadSessionState(org.jdesktop.application.BadSessionStateTest):    Caused an ERROR
    [junit] null
    [junit] java.lang.reflect.InvocationTargetException
    [junit]     at java.awt.EventQueue.invokeAndWait(EventQueue.java:1068)
    [junit]     at javax.swing.SwingUtilities.invokeAndWait(SwingUtilities.java:1347)
    [junit]     at org.jdesktop.application.BadSessionStateTest.testBadSessionState(Unknown Source)
    [junit] Caused by: java.lang.StackOverflowError

(and it goes on and on for pages)

So: no idea :/

(I'm still attaching the change to use xvfb which seems to be a good
idea in any case.)


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Various Artists: Katie
[690152.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sat, 03 Nov 2012 13:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 03 Nov 2012 13:15:05 GMT) Full text and rfc822 format available.

Message #25 received at 690152@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: tony mancill <tmancill@debian.org>, 690152@bugs.debian.org
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 3 Nov 2012 13:13:07 +0000
* gregor herrmann wrote [24.10.12 17:13]:
Hi,

> Running the tests under xvfb I get a different failure:

JFTR I get the exact same error messages running it directly in X11.

> (and it goes on and on for pages)
> 
> So: no idea :/
> 
> (I'm still attaching the change to use xvfb which seems to be a good
> idea in any case.)
 
At least it looks like the behaviour with xvfb is consistent to a real
environment.

It works without a problem if no DISPLAY variable is set (as it just
doesn't run the tests).

cheers from the Dublin BSP,
Ulrich



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sat, 03 Nov 2012 17:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Vescovi <matteo.vescovi@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 03 Nov 2012 17:15:07 GMT) Full text and rfc822 format available.

Message #30 received at 690152@bugs.debian.org (full text, mbox):

From: Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
To: 690152@bugs.debian.org
Subject: Re: Bug#690152: bsaf: FTBFS: Test, org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 03 Nov 2012 17:12:35 +0000
Hi,

Here's what I found out so far about this bug.

Unsetting the DISPLAY environment variable works around the FTBFS error 
by skipping the failing Junit tests. However, unsetting DISPLAY is not 
the preferable/acceptable solution, as it simply skips the failing tests.

Check out the build.xml. Several tests are only conditionally executed, 
depending on whether DISPLAY is set:

i.e.

<test name="org.jdesktop.application.BadSessionStateTest" 
if="have.display"/>

where property have.display is conditionally set earlier on based on:

<isset property="env.DISPLAY"/>



I turned to debugging the Junit tests and determined that the following 
tests are failing:

 <test name="org.jdesktop.application.BadSessionStateTest"
                  if="have.display"/>
 <test name="org.jdesktop.application.CustomPropertySupportTest"
                  if="have.display"/>



Cheers,
- Matteo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sat, 03 Nov 2012 17:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Vescovi <matteo.vescovi@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 03 Nov 2012 17:48:09 GMT) Full text and rfc822 format available.

Message #35 received at 690152@bugs.debian.org (full text, mbox):

From: Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
To: 690152@bugs.debian.org
Subject: Re: Bug#690152: bsaf: FTBFS: Test, org.jdesktop.application.TaskMonitorTest, failed
Date: Sat, 03 Nov 2012 17:45:57 +0000
The first failing test is BadSessionStateTest. The first exception in 
the log is actually expected:

    [junit] java.lang.ArrayIndexOutOfBoundsException: 0
    [junit] 					      at 
com.sun.beans.ObjectHandler.dequeueResult(ObjectHandler.java:189)
    [junit] 					      at 
java.beans.XMLDecoder.readObject(XMLDecoder.java:223)
    [junit] 					      at 
org.jdesktop.application.LocalStorage.load(LocalStorage.java:197)
    [junit] 					      at 
org.jdesktop.application.SessionStorage.restore(SessionStorage.java:381)
    [junit] 					      at


This exception is the result of trying to load a malformed session file, 
which is expected to fail.


Further down the stack trace, there appears to be a hint on what is 
actually going wrong:


    [junit] java.lang.reflect.InvocationTargetException
    [junit] 	at java.awt.EventQueue.invokeAndWait(EventQueue.java:1068)
    [junit] 	at 
javax.swing.SwingUtilities.invokeAndWait(SwingUtilities.java:1347)
    [junit] 	at 
org.jdesktop.application.BadSessionStateTest.testBadSessionState(BadSessionStateTest.java:101)
    [junit] Caused by: java.lang.StackOverflowError
    [junit] 	at java.beans.Statement.invokeInternal(Statement.java:257)
    [junit] 	at java.beans.Statement.access$000(Statement.java:56)
    [junit] 	at java.beans.Statement$2.run(Statement.java:158)
    [junit] 	at java.security.AccessController.doPrivileged(Native Method)
    [junit] 	at java.beans.Statement.invoke(Statement.java:154)
    [junit] 	at java.beans.Expression.getValue(Expression.java:115)
    [junit] 	at 
java.beans.DefaultPersistenceDelegate.doProperty(DefaultPersistenceDelegate.java:227)
    [junit] 	at 
java.beans.DefaultPersistenceDelegate.initBean(DefaultPersistenceDelegate.java:264)
    [junit] 	at 
java.beans.DefaultPersistenceDelegate.initialize(DefaultPersistenceDelegate.java:408)
    [junit] 	at 
java.beans.PersistenceDelegate.writeObject(PersistenceDelegate.java:116)
    [junit] 	at java.beans.Encoder.writeObject(Encoder.java:74)


Cheers,
- Matteo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sat, 03 Nov 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Vescovi <matteo.vescovi@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 03 Nov 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #40 received at 690152@bugs.debian.org (full text, mbox):

From: Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
To: 690152@bugs.debian.org
Subject: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 03 Nov 2012 18:36:09 +0000
Hi,

The stack trace led me to suspect the root cause of the issue lies in 
the java.beans package.

I built the bsaf sources and tests with the default jdk 
(/usr/lib/jvm/default-java -> java-6-openjdk) and then ran the entire 
testsuite with openjdk-7-jdk by changing the exported JAVA_HOME to 
/usr/lib/jvm/java-7-openjdk-amd64

All tests passed with openjdk-7.


Cheers,
- Matteo



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sun, 04 Nov 2012 18:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 04 Nov 2012 18:18:04 GMT) Full text and rfc822 format available.

Message #45 received at 690152@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Matteo Vescovi <matteo.vescovi@yahoo.co.uk>, 690152@bugs.debian.org
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sun, 4 Nov 2012 19:14:30 +0100
[Message part 1 (text/plain, inline)]
On Sat, 03 Nov 2012 18:36:09 +0000, Matteo Vescovi wrote:

> The stack trace led me to suspect the root cause of the issue lies
> in the java.beans package.
> 
> I built the bsaf sources and tests with the default jdk
> (/usr/lib/jvm/default-java -> java-6-openjdk) and then ran the
> entire testsuite with openjdk-7-jdk by changing the exported
> JAVA_HOME to /usr/lib/jvm/java-7-openjdk-amd64
> 
> All tests passed with openjdk-7.

Cool, thanks for digging into this issue.

Does this mean this is actually an issue with openjdk-6 and the bugs
should be reassigned?

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Rolling Stones: Honkey Tonk Woman
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Fri, 23 Nov 2012 23:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 23 Nov 2012 23:21:06 GMT) Full text and rfc822 format available.

Message #50 received at 690152@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 690152@bugs.debian.org
Subject: Re: Bug #690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 24 Nov 2012 00:17:08 +0100
690152 fixed 1.9-3
thanks

On Wed, Oct 10, 2012 at 04:22:11PM +0200, Lucas Nussbaum wrote:
> Source: bsaf
> Version: 1.9-3
> Severity: serious
> Tags: wheezy sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20121010 qa-ftbfs
> Justification: FTBFS in wheezy on amd64
> 
> Hi,
> 
> During a rebuild of all packages in *wheezy*, your package failed to
> build on amd64.

I couldn't reproduce this on wheezy/amd64.  Please reopen if it still
FTBFS for you.


Cheers,

Michael



Marked as fixed in versions bsaf/1.9-3. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Fri, 23 Nov 2012 23:36:06 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions bsaf/1.9-3. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Fri, 23 Nov 2012 23:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sat, 15 Dec 2012 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost Yervante Damad <joost@damad.be>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 15 Dec 2012 15:09:03 GMT) Full text and rfc822 format available.

Message #59 received at 690152@bugs.debian.org (full text, mbox):

From: Joost Yervante Damad <joost@damad.be>
To: 690152@bugs.debian.org
Cc: Matteo Vescovi <matteo.vescovi@yahoo.co.uk>, Michael Banck <mbanck@debian.org>, gregor herrmann <gregoa@debian.org>
Subject: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 15 Dec 2012 16:13:35 +0100
Hey,

I tried rebuilding the bsaf software in wheezy with default-jdk, which 
uses the openjdk from openjdk-6-jre-headless_6b24.

It builds just fine.

Is this really still an issue?

Joost



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Mon, 07 Jan 2013 18:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 07 Jan 2013 18:51:06 GMT) Full text and rfc822 format available.

Message #64 received at 690152@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Joost Yervante Damad <joost@damad.be>, 690152@bugs.debian.org
Cc: Matteo Vescovi <matteo.vescovi@yahoo.co.uk>, Michael Banck <mbanck@debian.org>
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Mon, 7 Jan 2013 19:48:06 +0100
[Message part 1 (text/plain, inline)]
On Sat, 15 Dec 2012 16:13:35 +0100, Joost Yervante Damad wrote:

> I tried rebuilding the bsaf software in wheezy with default-jdk,
> which uses the openjdk from openjdk-6-jre-headless_6b24.
> It builds just fine.
> Is this really still an issue?

It still fails to build for me in wheezy and sid chroots
- without my earlier patch because of 
  "Can't connect to X11 window server using ':0' as the value of the DISPLAY variable."
- with the patch with the long java.beans stack trace

I guess you had DISPLAY unset during the build and the problematic
tests were skipped?


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: The Chieftains: The Parting of Friends-Kerry Fling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Mon, 07 Jan 2013 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost Yervante Damad <joost@damad.be>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 07 Jan 2013 19:00:03 GMT) Full text and rfc822 format available.

Message #69 received at 690152@bugs.debian.org (full text, mbox):

From: Joost Yervante Damad <joost@damad.be>
To: gregor herrmann <gregoa@debian.org>
Cc: 690152@bugs.debian.org, Matteo Vescovi <matteo.vescovi@yahoo.co.uk>, Michael Banck <mbanck@debian.org>
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Mon, 07 Jan 2013 20:03:42 +0100
On 01/07/2013 07:48 PM, gregor herrmann wrote:
> On Sat, 15 Dec 2012 16:13:35 +0100, Joost Yervante Damad wrote:
>
>> I tried rebuilding the bsaf software in wheezy with default-jdk,
>> which uses the openjdk from openjdk-6-jre-headless_6b24.
>> It builds just fine.
>> Is this really still an issue?
>
> It still fails to build for me in wheezy and sid chroots
> - without my earlier patch because of
>    "Can't connect to X11 window server using ':0' as the value of the DISPLAY variable."
> - with the patch with the long java.beans stack trace
>
> I guess you had DISPLAY unset during the build and the problematic
> tests were skipped?

Indeed, I did not have DISPLAY set. Unfortunately I forgot to keep a log 
of the build around.

Joost




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sun, 03 Mar 2013 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 03 Mar 2013 00:15:03 GMT) Full text and rfc822 format available.

Message #74 received at 690152@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: Joost Yervante Damad <joost@damad.be>, "690152@bugs.debian.org" <690152@bugs.debian.org>
Cc: gregor herrmann <gregoa@debian.org>, Matteo Vescovi <matteo.vescovi@yahoo.co.uk>, Michael Banck <mbanck@debian.org>
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 2 Mar 2013 19:12:32 -0500
[Message part 1 (text/plain, inline)]
On Monday, January 7, 2013, Joost Yervante Damad wrote:

> On 01/07/2013 07:48 PM, gregor herrmann wrote:
>
>> On Sat, 15 Dec 2012 16:13:35 +0100, Joost Yervante Damad wrote:
>>
>>  I tried rebuilding the bsaf software in wheezy with default-jdk,
>>> which uses the openjdk from openjdk-6-jre-headless_6b24.
>>> It builds just fine.
>>> Is this really still an issue?
>>>
>>
>> It still fails to build for me in wheezy and sid chroots
>> - without my earlier patch because of
>>    "Can't connect to X11 window server using ':0' as the value of the
>> DISPLAY variable."
>> - with the patch with the long java.beans stack trace
>>
>> I guess you had DISPLAY unset during the build and the problematic
>> tests were skipped?
>>
>
> Indeed, I did not have DISPLAY set. Unfortunately I forgot to keep a log
> of the build around.
>
> Joost
>
> __
> This is the maintainer address of Debian's Java team
> <http://lists.alioth.debian.**org/cgi-bin/mailman/listinfo/**
> pkg-java-maintainers<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>>.
> Please use
> debian-java@lists.debian.org for discussions and questions.
>

I just rebuilt bsaf on my machine that has the DISPLAY environment variable
set and on a sid and wheezy chroot via sbuild-shell (which in turn uses
schroot) that does not have DISPLAY set. All builds succeeded and passed
the test suite.

The chroot environment will not have DISPLAY set of course. In fact, there
should be a small number of environment variables set in an chroot
environment using schroot. My chroot environment has the following
variables set.

USER
HOME
XDG_SESSION_COOKIE
SCHROOT_CHROOT_NAME
SCHROOT_UID
LOGNAME
TERM
USERNAME
PATH
SCHROOT_COMMAND
SCHROOT_SESSION_ID
SCHROOT_ALIAS_NAME
SCHROOT_GROUP
SCHROOT_USER
SHELL
PWD
SCHROOT_GID

--
Andres


-- 
~ Andres
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sun, 03 Mar 2013 13:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 03 Mar 2013 13:45:08 GMT) Full text and rfc822 format available.

Message #79 received at 690152@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Andres Mejia <amejia004@gmail.com>, 690152@bugs.debian.org
Cc: Joost Yervante Damad <joost@damad.be>, Matteo Vescovi <matteo.vescovi@yahoo.co.uk>, Michael Banck <mbanck@debian.org>
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sun, 3 Mar 2013 14:42:09 +0100
[Message part 1 (text/plain, inline)]
On Sat, 02 Mar 2013 19:12:32 -0500, Andres Mejia wrote:

> I just rebuilt bsaf on my machine that has the DISPLAY environment variable
> set and 

In a chroot or in the "normal" environment?

> on a sid and wheezy chroot via sbuild-shell (which in turn uses
> schroot) that does not have DISPLAY set. All builds succeeded and passed
> the test suite.

That's not surprising, since without DISPLAY the otherwise failing
tests are skipped :)
 
FWIW: The tests still fail for me in wheezy and sid cowbuilder amd64
chroots, with DISPLAY set, with or without my earlier patch (to use
xvfb).

As mentioned earlier in this bug log by Matteo, building with
openjdk-7-jdk works in the same setup.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: David Bowie: Suffragette City
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Wed, 06 Mar 2013 21:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 06 Mar 2013 21:39:07 GMT) Full text and rfc822 format available.

Message #84 received at 690152@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 690152@bugs.debian.org
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Wed, 6 Mar 2013 22:35:02 +0100
[Message part 1 (text/plain, inline)]
On Sun, 03 Mar 2013 14:42:09 +0100, gregor herrmann wrote:

> As mentioned earlier in this bug log by Matteo, building with
> openjdk-7-jdk works in the same setup.

Not anymore:

    [junit] Running org.jdesktop.application.TaskMonitorTest
    [junit] Testsuite: org.jdesktop.application.TaskMonitorTest
    [junit] Tests run: 3, Failures: 1, Errors: 0, Time elapsed: 0.429 sec
    [junit] Tests run: 3, Failures: 1, Errors: 0, Time elapsed: 0.429 sec
    [junit] 
    [junit] Testcase: testMessageSucceeded(org.jdesktop.application.TaskMonitorTest):   FAILED
    [junit] doInBackground
    [junit] junit.framework.AssertionFailedError: doInBackground
    [junit]     at org.jdesktop.application.TaskMonitorTest.testMessageSucceeded(Unknown Source)
    [junit] 
    [junit] 

BUILD FAILED
/tmp/buildd/bsaf-1.9/build.xml:68: Test org.jdesktop.application.TaskMonitorTest failed


I'm attaching the debdiff I've been using ...
(also failed without xvfb).

Oh, and it works in a wheezy chroot. Now this is interesting ...


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Tracy Chapman: Cold Feet
[690152_openjdk7.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sun, 10 Mar 2013 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 10 Mar 2013 02:54:03 GMT) Full text and rfc822 format available.

Message #89 received at 690152@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: gregor herrmann <gregoa@debian.org>
Cc: "690152@bugs.debian.org" <690152@bugs.debian.org>, Joost Yervante Damad <joost@damad.be>, Matteo Vescovi <matteo.vescovi@yahoo.co.uk>, Michael Banck <mbanck@debian.org>
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 9 Mar 2013 21:50:40 -0500
On Sun, Mar 3, 2013 at 8:42 AM, gregor herrmann <gregoa@debian.org> wrote:
> On Sat, 02 Mar 2013 19:12:32 -0500, Andres Mejia wrote:
>
>> I just rebuilt bsaf on my machine that has the DISPLAY environment variable
>> set and
>
> In a chroot or in the "normal" environment?

The "normal" environment.

>> on a sid and wheezy chroot via sbuild-shell (which in turn uses
>> schroot) that does not have DISPLAY set. All builds succeeded and passed
>> the test suite.
>
> That's not surprising, since without DISPLAY the otherwise failing
> tests are skipped :)
>
> FWIW: The tests still fail for me in wheezy and sid cowbuilder amd64
> chroots, with DISPLAY set, with or without my earlier patch (to use
> xvfb).
>
> As mentioned earlier in this bug log by Matteo, building with
> openjdk-7-jdk works in the same setup.
>
> Cheers,
> gregor
>
> --
>  .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
>  : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
>  `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
>    `-   NP: David Bowie: Suffragette City

At this time, being this late into the release cycle, I would like to
support only the default-jdk. I am building with sbuild using a chroot
created by sbuild-createchroot as I believe this closely matches what
the buildd machines are running. The bsaf package builds and passes
the test suite for me fine on my machine running Debian wheezy, inside
a wheezy chroot using sbuild, and inside a sid chroot using sbuild. My
machine has a display, the chroot environments do not have a display.

I will be downgrading this bug to important as I don't believe
supporting cowbuilder, xvfb, or openjdk-7-jdk to be release critical.
If someone else can reproduce the test case failure with the version
of bsaf in the archives as is, then feel free to raise it back,
otherwise fixing these other issues of supporting cowbuilder, xvfb,
and openjdk-7-jdk can wait.

-- 
~ Andres



Severity set to 'important' from 'serious' Request was from Andres Mejia <amejia004@gmail.com> to control@bugs.debian.org. (Sun, 10 Mar 2013 02:57:03 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Andres Mejia <amejia004@gmail.com> to control@bugs.debian.org. (Sun, 10 Mar 2013 02:57:03 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:41:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sat, 01 Feb 2014 14:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Moog <andreas.moog@warperbbs.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 01 Feb 2014 14:03:10 GMT) Full text and rfc822 format available.

Message #100 received at 690152@bugs.debian.org (full text, mbox):

From: Andreas Moog <andreas.moog@warperbbs.de>
To: 690152@bugs.debian.org
Subject: Re: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 01 Feb 2014 14:59:57 +0100
[Message part 1 (text/plain, inline)]
Control: severity -1 serious

Hi there,

the package fails to build when rebuilding with sbuild in a current sid
chroot, so I'm raising severity to "serious" again:

    [junit] ------------- Standard Error -----------------
    [junit] Feb 01, 2014 2:55:08 PM
org.jdesktop.application.ResourceManager getApplicationResourceMap
    [junit] WARNING: getApplicationResourceMap(): no Application class
    [junit] ------------- ---------------- ---------------
    [junit] Feb 01, 2014 2:55:08 PM
org.jdesktop.application.ResourceManager getApplicationResourceMap
    [junit] WARNING: getApplicationResourceMap(): no Application class
    [junit] Running org.jdesktop.application.TaskMonitorTest
    [junit] Testsuite: org.jdesktop.application.TaskMonitorTest
    [junit] Tests run: 3, Failures: 1, Errors: 0, Skipped: 0, Time
elapsed: 0.384 sec
    [junit] Tests run: 3, Failures: 1, Errors: 0, Skipped: 0, Time
elapsed: 0.384 sec
    [junit]
    [junit] Testcase:
testMessageSucceeded(org.jdesktop.application.TaskMonitorTest):	FAILED
    [junit] doInBackground
    [junit] junit.framework.AssertionFailedError: doInBackground
    [junit] 	at
org.jdesktop.application.TaskMonitorTest.testMessageSucceeded(Unknown
Source)
    [junit]
    [junit]

BUILD FAILED
/«PKGBUILDDIR»/build.xml:68: Test
org.jdesktop.application.TaskMonitorTest failed

Full buildlog attached.

Thanks for your time!

Cheers,
  Andreas
-- 
Andreas Moog, Berliner Str. 29, 36205 Sontra/Germany
PGP-encrypted mails preferred (Key-ID: 74DE6624)
PGP Fingerprint: 74CD D9FE 5BCB FE0D 13EE 8EEA 61F3 4426 74DE 6624
[bsaf_1.9-3_amd64.build.gz (application/gzip, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Severity set to 'serious' from 'important' Request was from Andreas Moog <andreas.moog@warperbbs.de> to 690152-submit@bugs.debian.org. (Sat, 01 Feb 2014 14:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sat, 01 Feb 2014 15:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 01 Feb 2014 15:45:05 GMT) Full text and rfc822 format available.

Message #107 received at 690152@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Undisclosed.Recipients:
Cc: "690152@bugs.debian.org" <690152@bugs.debian.org>
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 1 Feb 2014 16:39:59 +0100
Control: tag -1 - wheezy

On Sunday, 10. March 2013 03:50:40 Andres Mejia wrote:
> At this time, being this late into the release cycle, I would like to
> support only the default-jdk. I am building with sbuild using a chroot
> created by sbuild-createchroot as I believe this closely matches what
> the buildd machines are running. The bsaf package builds and passes
...
> I will be downgrading this bug to important as I don't believe
> supporting cowbuilder, xvfb, or openjdk-7-jdk to be release critical.

On Saturday, 1. February 2014 14:59:57 Andreas Moog wrote:
> the package fails to build when rebuilding with sbuild in a current sid
> chroot, so I'm raising severity to "serious" again:

Therefore removing the wheezy tag, as the new issue only affects sid.

Andreas



Removed tag(s) wheezy. Request was from Andreas Beckmann <anbe@debian.org> to 690152-submit@bugs.debian.org. (Sat, 01 Feb 2014 15:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sat, 01 Feb 2014 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 01 Feb 2014 16:06:04 GMT) Full text and rfc822 format available.

Message #114 received at 690152@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Andreas Beckmann <anbe@debian.org>, 690152@bugs.debian.org
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 01 Feb 2014 17:03:43 +0100
On 2014-02-01 16:39, Andreas Beckmann wrote:
> Control: tag -1 - wheezy
> 
> On Sunday, 10. March 2013 03:50:40 Andres Mejia wrote:
>> At this time, being this late into the release cycle, I would like to
>> support only the default-jdk. I am building with sbuild using a chroot
>> created by sbuild-createchroot as I believe this closely matches what
>> the buildd machines are running. The bsaf package builds and passes
> ...
>> I will be downgrading this bug to important as I don't believe
>> supporting cowbuilder, xvfb, or openjdk-7-jdk to be release critical.
> 
> On Saturday, 1. February 2014 14:59:57 Andreas Moog wrote:
>> the package fails to build when rebuilding with sbuild in a current sid
>> chroot, so I'm raising severity to "serious" again:
> 
> Therefore removing the wheezy tag, as the new issue only affects sid.
> 
> Andreas
> 
> [...]

Hi,

Is that "only sid" or "sid and jessie"?  You said the former, but the
bug is tagged "sid jessie" implying you might mean the other.

~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sat, 01 Feb 2014 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 01 Feb 2014 16:27:05 GMT) Full text and rfc822 format available.

Message #119 received at 690152@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 690152@bugs.debian.org
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 01 Feb 2014 17:23:10 +0100
On 2014-02-01 17:03, Niels Thykier wrote:
>> Therefore removing the wheezy tag, as the new issue only affects sid.

> Is that "only sid" or "sid and jessie"?  You said the former, but the
> bug is tagged "sid jessie" implying you might mean the other.

I don't know, haven't tried (and don't plan to). So read this as "not
wheezy".


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#690152; Package src:bsaf. (Sat, 01 Feb 2014 18:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Moog <andreas.moog@warperbbs.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 01 Feb 2014 18:15:05 GMT) Full text and rfc822 format available.

Message #124 received at 690152@bugs.debian.org (full text, mbox):

From: Andreas Moog <andreas.moog@warperbbs.de>
To: 690152@bugs.debian.org
Subject: Re: Bug#690152: bsaf: FTBFS: Test org.jdesktop.application.TaskMonitorTest failed
Date: Sat, 01 Feb 2014 19:10:37 +0100
[Message part 1 (text/plain, inline)]
Control: tags -1 -unreproducible

On 01.02.2014 17:23, Andreas Beckmann wrote:
> On 2014-02-01 17:03, Niels Thykier wrote:
>>> Therefore removing the wheezy tag, as the new issue only affects sid.
> 
>> Is that "only sid" or "sid and jessie"?  You said the former, but the
>> bug is tagged "sid jessie" implying you might mean the other.
> 
> I don't know, haven't tried (and don't plan to). So read this as "not
> wheezy".

I can confirm that it also fails in testing, build log attached.
-- 
Andreas Moog, Berliner Str. 29, 36205 Sontra/Germany
PGP-encrypted mails preferred (Key-ID: 74DE6624)
PGP Fingerprint: 74CD D9FE 5BCB FE0D 13EE 8EEA 61F3 4426 74DE 6624
[bsaf_1.9-3_amd64.build.gz (application/gzip, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Removed tag(s) unreproducible. Request was from Andreas Moog <andreas.moog@warperbbs.de> to 690152-submit@bugs.debian.org. (Sat, 01 Feb 2014 18:15:05 GMT) Full text and rfc822 format available.

Reply sent to Emmanuel Bourg <ebourg@apache.org>:
You have taken responsibility. (Wed, 23 Apr 2014 06:36:10 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 23 Apr 2014 06:36:10 GMT) Full text and rfc822 format available.

Message #131 received at 690152-close@bugs.debian.org (full text, mbox):

From: Emmanuel Bourg <ebourg@apache.org>
To: 690152-close@bugs.debian.org
Subject: Bug#690152: fixed in bsaf 1.9-4
Date: Wed, 23 Apr 2014 06:33:46 +0000
Source: bsaf
Source-Version: 1.9-4

We believe that the bug you reported is fixed in the latest version of
bsaf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690152@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebourg@apache.org> (supplier of updated bsaf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 26 Mar 2014 13:17:48 +0100
Source: bsaf
Binary: libbetter-appframework-java libbetter-appframework-java-doc
Architecture: source all
Version: 1.9-4
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebourg@apache.org>
Description: 
 libbetter-appframework-java - Java Better Swing Application Framework (library)
 libbetter-appframework-java-doc - Java Better Swing Application Framework (documentation)
Closes: 690152 743518
Changes: 
 bsaf (1.9-4) unstable; urgency=medium
 .
   [ Emmanuel Bourg ]
   * Team upload.
   * Build with maven-debian-helper instead of javahelper
   * debian/watch: Added an URL checking the SVN tags
   * Replaced debian/bsaf-get-orig-source with debian/orig-tar.sh
   * Use XZ compression for the upstream tarball
   * debian/control:
     - Standards-Version updated to 3.9.5 (no changes)
     - Use canonical URLs for the Vcs-* fields
   * Switch to debhelper level 9
 .
   [ tony mancill ]
   * Remove Andres Mejia <amejia@debian.org> from Uploaders.
     (Closes: #743518)
   * Package now correctly builds from source. (Closes: #690152)
Checksums-Sha1: 
 411516c24c9c952fe54642abb1e6d0d3549556d7 2077 bsaf_1.9-4.dsc
 0d7951dff1314c898cc09c2c142cdc926028c787 5404 bsaf_1.9-4.debian.tar.xz
 d9aeabdc0a5585cb3a4270ecff710b9904bceae8 170122 libbetter-appframework-java_1.9-4_all.deb
 60fbc650366c04ae69ea0334ac9cde5c17437230 426638 libbetter-appframework-java-doc_1.9-4_all.deb
Checksums-Sha256: 
 735362f7e33ef089e542ecf8dac32ea4c724c86000a040d7620400277edef4d5 2077 bsaf_1.9-4.dsc
 078dd054b7d63c2156ff19b3de08563748c703a7e567ad42431af051bdab8e2c 5404 bsaf_1.9-4.debian.tar.xz
 8eef946f50012d0bb25f7fdecb14b321d83ed19c5684765bf5b6387c5efa26c7 170122 libbetter-appframework-java_1.9-4_all.deb
 2c8395b715d9727a6709083528b378fb2fee62e1b29836d5ab0e3825253df4cd 426638 libbetter-appframework-java-doc_1.9-4_all.deb
Files: 
 2e16ef7bb06cd60deff9b7523b776403 170122 java optional libbetter-appframework-java_1.9-4_all.deb
 d91308f23398c1e13c2607bf3d09d62e 426638 doc optional libbetter-appframework-java-doc_1.9-4_all.deb
 2d70da096ff284a8942fe2c68001e0f4 2077 java optional bsaf_1.9-4.dsc
 3aa184344e3f04445a9462729561c1e0 5404 java optional bsaf_1.9-4.debian.tar.xz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJTV13hAAoJECHSBYmXSz6W+NsP/2l6gx4Akns6oky8/es4DM/s
uP4yu3tTUTW0jBT5peH4J2HA8d7rZRCDimnK5cXItA6w+6mZDUXhCgBfzduBxe61
1/kgjnUjJMvSY+4rhUORkgXDNvVljmFklsOpNjIb64U+U7ZuK/fPzXXG4S2mHOiv
7sDvOqlTYPjFdvWJbjUCbzXAmzGLCMi3qgyM8zZlBxC9V2+WMepBS1MJH91lnGvi
tk38RSu7NZBLYRf7LEpzjrzyHUnuAfXCaKkZMD9BBnmRJv8GRwmRGEHRRCbOyiEt
s8rkZ1GcTnXtK/M0eLjtUXr67o4NdwI+b+oINkiOKljTemcbD4ZuhEHqBUROe1eL
Xoa1rHuy2J+esoYA8wUE5uJ4fMc9HNP7+6soM5HiazPbbzuiLw/pgOb5kRAFPq3u
zikmUzMvJc3DH3E/y5fk+KbqW+1KCnjR4EWqKq41CIurOM/9I4oGL1bgunhplJ5P
U1kaCdfKD99UMRu/XfN8gXtJBeXOAQzaok+mXJxLMnjJGye/Ycmr/tggwSUT7H4s
1WH3dCfvoQ6zZmrjhcYTqTU1xvEcrt6u9C+KmoUhi1Zs+fO158qanlOwryBs1p6c
U/wDl5wh9yGNZ2NwCKzucoSAO2PZumbROhaGCSB5XYE93ipHiJvuU7xm+PnVvmiH
5M7i9KrFgVPb+GnSmaaL
=1f8G
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:37:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.